Last Comment Bug 668479 - TM: Assertion failure: fp->hasCallObj(), at jsfun.cpp:248
: TM: Assertion failure: fp->hasCallObj(), at jsfun.cpp:248
Status: RESOLVED FIXED
[inbound]
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Linux
: -- critical (vote)
: mozilla8
Assigned To: Luke Wagner [:luke]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: langfuzz
  Show dependency treegraph
 
Reported: 2011-06-30 04:50 PDT by Christian Holler (:decoder)
Modified: 2013-01-14 08:35 PST (History)
5 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix old assert (1.37 KB, patch)
2011-06-30 09:45 PDT, Luke Wagner [:luke]
jwalden+bmo: review+
Details | Diff | Splinter Review

Description Christian Holler (:decoder) 2011-06-30 04:50:56 PDT
The following test asserts on TM revision c2e5e424e6c3 (run with options -j -m):

function a() { 
    with(a) eval("arguments[0]"); 
} a();


This could be related to 643543 (which is not only in TI) but according to the tests I assume that this is a different defect.
Comment 1 Luke Wagner [:luke] 2011-06-30 09:45:27 PDT
Created attachment 543164 [details] [diff] [review]
fix old assert

This assert is from back before bug 539144 back when hasArgsObj was true for eval frames (now its only true for the frame that owns the args obj).  This patch updates the assert and the comment.
Comment 2 Jeff Walden [:Waldo] (remove +bmo to email) 2011-07-05 09:45:48 PDT
Comment on attachment 543164 [details] [diff] [review]
fix old assert

One from the vaults!
Comment 4 Marco Bonardo [::mak] 2011-07-07 03:22:31 PDT
http://hg.mozilla.org/mozilla-central/rev/f317927aafcb
Comment 5 Christian Holler (:decoder) 2013-01-14 08:35:13 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/basic/testBug668479.js.

Note You need to log in before you can comment on or make changes to this bug.